# ApiHostsPerfInspectorArgs Data Model

Arguments used for the Cloudera Manager level performance inspector. Network diagnostics will be run from every host in sourceHostList to every host in targetHostList.

Properties
name | data type | description
--- | --- | ---
sourceHostList | ApiHostNameList | Required list of host names which'll act as source for running network diagnostics test.
targetHostList | ApiHostNameList | Required list of host names which'll act as target for running network diagnostics test.
pingArgs | ApiPerfInspectorPingArgs | Optional ping request arguments. If not specified, default arguments will be used for ping test.

Example

    {
      "sourceHostList" : {
        "items" : [ "...", "..." ]
      },
      "targetHostList" : {
        "items" : [ "...", "..." ]
      },
      "pingArgs" : {
        "pingTimeoutSecs" : 10,
        "pingCount" : 10,
        "pingPacketSizeBytes" : 56
      }
    }